###########################################################################################################
FIGURE 1: Pure species males discriminate against heterospecific and hybrid females in mating choice experiments. 
##########################################################################################################


pdf(file="Figure1_CHC_v02.pdf", height=6, width=12)
figure1A<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/figure1_boxplots.csv")
		attach(figure1A)
		names(figure1A)
par(mfrow=c(2,4)) 
		
		with(subset(figure1A, female =='yakuba'), boxplot(proportion_mated ~ male, main = "D. yakuba females"))
		with(subset(figure1A, female =='santomea'), boxplot(proportion_mated ~ male, main = "D. santomea females"))
		with(subset(figure1A, female =='simulans'), boxplot(proportion_mated ~ male, main = "D. simulans females"))
		with(subset(figure1A, female =='mauritiana'), boxplot(proportion_mated ~ male, main = "D. mauritiana females"))

yakuba_males_data_lme<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/yak_male_choice_prop.csv")
#yakuba_males_data<-read.csv("~/Dropbox/CHC_Matingchoice/yak_male_choice.csv")
					attach(yakuba_males_data_lme)
					boxplot(prop ~ pursued_female, vertical = TRUE, method = 'jitter',xlab="Genotype", ylab="Proportion of time", main="E. D. yakuba males")
					stripchart(prop~ pursued_female, col="grey88", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")
					
santomea_males_data<-read.csv("~/Dropbox/CHC_Matingchoice/santomea_male_choice_prop.csv")
					attach(santomea_males_data)
					names(santomea_males_data)
					boxplot(prop ~ pursued_female, vertical = TRUE, method = 'jitter', xlab="Genotype", ylab="Proportion of time", main="F. D. santomea males")
					stripchart(prop~ pursued_female, col="grey88", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")

simulans_males_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/simulan_male_choice_prop.csv")
					attach(simulans_males_data)
					names(simulans_males_data)
					boxplot(prop ~ pursued_female, vertical = TRUE, method = 'jitter', ,xlab="Genotype", ylab="Proportion of time", main="G. D. simulans males")
					stripchart(prop~ pursued_female, col="grey88", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")


mau_males_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/mau_male_choice_prop.csv")
					attach(mau_males_data)
					names(mau_males_data)
					boxplot (prop ~ pursued_female,  xlab="Genotype", ylab="Proportion of time", main="H. D. mauritiana males")
					stripchart(prop~ pursued_female, col="grey88", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")
					
					
dev.off()



#############################################################################################
#####TABLE 1. Time spent by pure species males courting four different types of females in choice experiments. All the means (percentage of females mated) and standard deviations (SD) are based on 15 experimental blocks. The last four columns show pairwise comparisons as 4 × 4 matrices for each cross. The upper triangular matrix shows the t value from a multiple comparisons of means using Tukey contrasts. The lower triangular matrix shows the P-value associated to the comparison. All p-values were adjusted for multiple comparisons.
 
#############################################################################################

#YAKUBA

library(multcomp)
yakuba_males_data_lme<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/yak_male_choice_prop.csv")
					attach(yakuba_males_data_lme)
					names(yakuba_males_data_lme)
						yak_males_lme<-(lme(prop~ pursued_female, random=list(~1| marking, ~1| block)))
						 anova(yak_males_lme)
						               numDF denDF   F-value p-value
						(Intercept)        1   957 20973.139  <.0001
						pursued_female     3   957  9133.095  <.0001

						Analysis of Variance Table
						Response: prop
						                 Df Sum Sq Mean Sq F value    Pr(>F)    
						pursued_female    3 97.980  32.660  9133.1 < 2.2e-16 ***
						Residuals      1196  4.277   0.004                      
						---
						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

						lsmeans(yak_males_lme, pairwise~ pursued_female, adjust="tukey")


						 pursued_female     lsmean          SE df   lower.CL   upper.CL
						 F1_sy          0.07590389 0.003452536 15 0.06854498 0.08326280
						 F1_ys          0.07284243 0.003452536 15 0.06548352 0.08020134
						 santomea       0.10686686 0.003452536 15 0.09950795 0.11422577
						 yakuba         0.74438682 0.003452536 15 0.73702791 0.75174573

						Confidence level used: 0.95 

						$contrasts
						 contrast              estimate          SE  df  t.ratio p.value
						 F1_sy - F1_ys      0.003061462 0.004882624 957    0.627  0.9234
						 F1_sy - santomea  -0.030962972 0.004882624 957   -6.341  <.0001
						 F1_sy - yakuba    -0.668482930 0.004882624 957 -136.911  <.0001
						 F1_ys - santomea  -0.034024434 0.004882624 957   -6.968  <.0001
						 F1_ys - yakuba    -0.671544392 0.004882624 957 -137.538  <.0001
						 santomea - yakuba -0.637519958 0.004882624 957 -130.569  <.0001

						P value adjustment: tukey method for comparing a family of 4 estimates 
						
						> tapply(prop, pursued_female, mean)
						     F1_sy      F1_ys   santomea     yakuba 
						0.07590389 0.07284243 0.10686686 0.74438682 

						> tapply(prop, pursued_female, sd)
						     F1_sy      F1_ys   santomea     yakuba 
						0.05257174 0.02986244 0.06510295 0.08006287 


#SANTOMEA

library(multcomp)
santomea_males_data_lm<-read.csv("~/Dropbox/CHC_Matingchoice/santomea_male_choice_prop.csv")
					attach(santomea_males_data_lm)
					names(santomea_males_data_lm)
						san_males_lme<-(lme(prop~ pursued_female, random=list(~1| marking, ~1| block)))
						anova(san_males_lme)

						> 						anova(san_males_lme)
						               numDF denDF   F-value p-value
						(Intercept)        1   957 12432.574  <.0001
						pursued_female     3   957  6021.967  <.0001

						lsmeans(san_males_lme, pairwise~ pursued_female, adjust="tukey")

						$lsmeans
						 pursued_female     lsmean          SE df   lower.CL   upper.CL
						 F1_sy          0.07855580 0.004065759 15 0.06988984 0.08722176
						 F1_ys          0.12920983 0.004057552 15 0.12056136 0.13785830
						 santomea       0.70457538 0.004065399 15 0.69591018 0.71324057
						 yakuba         0.08917536 0.004061825 15 0.08051779 0.09783294

						Confidence level used: 0.95 

						$contrasts
						 contrast             estimate          SE  df  t.ratio p.value
						 F1_sy - F1_ys     -0.05065403 0.005529777 957   -9.160  <.0001
						 F1_sy - santomea  -0.62601958 0.005532921 957 -113.144  <.0001
						 F1_sy - yakuba    -0.01061956 0.005540496 957   -1.917  0.2216
						 F1_ys - santomea  -0.57536555 0.005533353 957 -103.981  <.0001
						 F1_ys - yakuba     0.04003447 0.005523135 957    7.249  <.0001
						 santomea - yakuba  0.61540002 0.005531193 957  111.260  <.0001

						P value adjustment: tukey method for comparing a family of 4 estimates 
					 tapply(prop, pursued_female, mean)
						      F1_sy      F1_ys   santomea     yakuba 
						 0.07800459 0.12893259 0.70434206 0.08872076 

					 tapply(prop, pursued_female, sd)
						     F1_sy      F1_ys   santomea     yakuba 
						 0.04821906 0.07168438 0.08597509 0.05977284 
>
						
#SIMULANS

library(multcomp)
simulans_males_data_lm<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/simulan_male_choice_prop.csv")
					attach(simulans_males_data_lm)
					names(simulans_males_data_lm)
						sim_males_lme<-(lme(prop~ pursued_female, random=list(~1| marking, ~1| block)))
						anova(sim_males_lme)

						> 						anova(san_males_lme)
						               numDF denDF  F-value p-value
						(Intercept)        1   957 21160.56  <.0001
						pursued_female     3   957 10462.75  <.0001


						lsmeans(sim_males_lme, pairwise~ pursued_female, adjust="tukey")

> 						lsmeans(sim_males_lme, pairwise~ pursued_female, adjust="tukey")
						$lsmeans
						 pursued_female     lsmean          SE df   lower.CL   upper.CL
						 F1MaSi         0.05820141 0.003361719 15 0.05103608 0.06536675
						 F1SiMa         0.07096897 0.003357406 15 0.06381283 0.07812511
						 mau            0.11080188 0.003359846 15 0.10364054 0.11796323
						 simulans       0.75993811 0.003357854 15 0.75278101 0.76709520

						Confidence level used: 0.95 

						$contrasts
						 contrast             estimate          SE  df  t.ratio p.value
						 F1MaSi - F1SiMa   -0.01276756 0.004713470 957   -2.709  0.0346
						 F1MaSi - mau      -0.05260047 0.004721685 957  -11.140  <.0001
						 F1MaSi - simulans -0.70173669 0.004710358 957 -148.977  <.0001
						 F1SiMa - mau      -0.03983291 0.004709505 957   -8.458  <.0001
						 F1SiMa - simulans -0.68896913 0.004713205 957 -146.178  <.0001
						 mau - simulans    -0.64913622 0.004712825 957 -137.738  <.0001
						P value adjustment: tukey method for comparing a family of 4 estimates 


					 tapply(prop, pursued_female, mean)
						     F1MaSi     F1SiMa        mau   simulans 
						 0.05812723 0.07092862 0.11098702 0.75995714 

					 tapply(prop, pursued_female, sd)
						     F1MaSi     F1SiMa        mau   simulans 
						 0.04220566 0.05190843 0.05794954 0.07432548 

#Mauritiana

library(multcomp)
mau_males_data_lm<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/mau_male_choice_prop.csv")
					attach(mau_males_data_lm)
					names(mau_males_data_lm)
						mau_males_lme<-(lme(prop~ pursued_female, random=list(~1| marking, ~1| block)))
						anova(mau_males_lme)

						> 						anova(mau_males_lme)
						               numDF denDF  F-value p-value
						(Intercept)        1   957 26272.47  <.0001
						pursued_female     3   957 25822.28  <.0001

						lsmeans(mau_males_lme, pairwise~ pursued_female, adjust="tukey")

						$lsmeans
						 pursued_female     lsmean          SE df   lower.CL   upper.CL
						 F1MaSi         0.01665892 0.002701334 15 0.01090117 0.02241668
						 F1siMa         0.03626617 0.002695719 15 0.03052038 0.04201196
						 mau            0.86658645 0.002702502 15 0.86082620 0.87234670
						 simulans       0.07939662 0.002698489 15 0.07364492 0.08514831

						Confidence level used: 0.95 

						$contrasts
						 contrast             estimate          SE  df  t.ratio p.value
						 F1MaSi - F1siMa   -0.01960724 0.003621932 957   -5.413  <.0001
						 F1MaSi - mau      -0.84992753 0.003626343 957 -234.376  <.0001
						 F1MaSi - simulans -0.06273769 0.003628069 957  -17.292  <.0001
						 F1siMa - mau      -0.83032028 0.003625397 957 -229.029  <.0001
						 F1siMa - simulans -0.04313045 0.003617593 957  -11.922  <.0001
						 mau - simulans     0.78718983 0.003623554 957  217.242  <.0001
						P value adjustment: tukey method for comparing a family of 4 estimates 

					 tapply(prop, pursued_female, mean)
						     F1MaSi     F1siMa        mau   simulans 
						 0.01686488 0.03641723 0.86715962 0.07955827 

					 tapply(prop, pursued_female, sd)
						     F1MaSi     F1siMa        mau   simulans 
						 0.01249982 0.02679705 0.06121948 0.05738842 
		
###########################################
#FIGURE 2. Pure species females discriminate against heterospecific and hybrid males in mating experiments (no choice). 
##############################################

pdf(file="Figure2_CHC.pdf", height=6, width=8)

library(beeswarm)
males_attractiveness_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/male_matings_CHC_byfemale.csv")
					attach(males_attractiveness_data)
					names(males_attractiveness_data)
					
par(mfrow=c(2,2)) 

					with(subset(males_attractiveness_data), beeswarm(proportion_yak ~ male_yak, col="red", main="A. D. yakuba", ylab="Proportion mated", xlab="Genotype"))
					with(subset(males_attractiveness_data), boxplot(proportion_yak ~ male_yak, add = TRUE))

					with(subset(males_attractiveness_data), beeswarm(proportion_san ~ male_san, col="blue", main="B. D. santomea", ylab="Proportion mated", xlab="Genotype"))
					with(subset(males_attractiveness_data), boxplot(proportion_san ~ male_san, add = TRUE))

					with(subset(males_attractiveness_data), beeswarm(proportion_sim ~ male_sim, col="orange", main="C. D. simulans", ylab="Proportion mated", xlab="Genotype"))
					with(subset(males_attractiveness_data), boxplot(proportion_sim ~ male_sim, add = TRUE))

					with(subset(males_attractiveness_data), beeswarm(proportion_mau ~ male_mau, col="lightblue",  main="D. D. mauritiana", ylab="Proportion mated", xlab="Genotype"))
					with(subset(males_attractiveness_data), boxplot(proportion_mau ~ male_mau, add = TRUE))

dev.off()

    
######################################################################
#FIGURE 3. 
######################################################################
library(beeswarm)
pdf(file="Figure3_CHC.pdf", height=6, width=8)

yakuba_LDE<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/yak_latency_duration.csv")
			attach(yakuba_LDE)
			names(yakuba_LDE)
santomea_LDE<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/santomea_latency_duration.csv")
			attach(santomea_LDE)
			names(santomea_LDE)
simulans_LDE<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/sim_latency_duration.csv")
			attach(simulans_LDE)
			names(simulans_LDE)
mau_LDE<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/mau_latency_duration.csv")
			attach(mau_LDE)
			names(mau_LDE)
							
par(mfrow=c(2,2)) 

					boxplot (yakuba_LDE$effort ~ yakuba_LDE $male,  main="A. D. yakuba", ylab="Effort", xlab="Genotype", ylim=c(0,0.5))
					stripchart(yakuba_LDE$effort ~ yakuba_LDE $male, col="red", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")

					boxplot (santomea_LDE $effort ~ santomea_LDE $male,  main="B. D. santomea", ylab="Effort", xlab="Genotype", ylim=c(0,0.5))
					stripchart(santomea_LDE $effort ~ santomea_LDE $male, col="blue", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")

					boxplot (simulans_LDE $effort ~ simulans_LDE $male,   main="C. D. simulans", ylab="Effort", xlab="Genotype", ylim=c(0,0.5))
					stripchart(simulans_LDE $effort ~ simulans_LDE $male, col="orange", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")

					boxplot (mau_LDE $effort ~ mau_LDE $male,  main="C. D. mauritiana", ylab="Effort", xlab="Genotype", ylim=c(0,0.5))
					stripchart(mau_LDE $effort ~ mau_LDE $male, col="lightblue", vertical = TRUE, method = 'jitter', add=T,xaxt="n",yaxt="n")

dev.off()

######################################################################
####      TABLE 2. Matings with F1 hybrid males are not only rare but when they happen, they take longer to occur. All the means (percentage of females mated) and standard deviations (SD) are based on 15 females that underwent copulation. The last four columns show pairwise comparisons as 4 × 4 matrices for each cross. The upper triangular matrix shows the t value from a multiple comparisons of means using Tukey contrasts. The lower triangular matrix shows the P-value associated to the comparison. All p-values were adjusted for multiple comparisons. 
######################################################################


#############
#. yakuba ###
#############

yakuba_LDE<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/yak_latency_duration.csv")
			attach(yakuba_LDE)
			names(yakuba_LDE)
		
								yak_latency_lme<-(lmer(latency ~ cross+(1| block)))
							Anova(yak_latency_lme, type="III")
					(Intercept) 3443.7  1  < 2.2e-16 ***
					cross       1978.1  3  < 2.2e-16 ***
					---
					Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

		summary(glht(yak_latency_lme, linfct=mcp(cross ="Tukey")))
					Simultaneous Tests for General Linear Hypotheses
					Multiple Comparisons of Means: Tukey Contrasts
					Fit: lmer(formula = latency ~ cross + (1 | block))
					Linear Hypotheses:
					                             Estimate Std. Error z value Pr(>|z|)    
					yak_sanyak - yak_san == 0     -0.5129     0.7867  -0.652  0.91203    
					yak_yak - yak_san == 0       -19.9932     0.5993 -33.361  < 0.001 ***
					yak_yaksan - yak_san == 0     -3.4296     0.7827  -4.382  < 0.001 ***
					yak_yak - yak_sanyak == 0    -19.4803     0.6397 -30.450  < 0.001 ***
					yak_yaksan - yak_sanyak == 0  -2.9167     0.8141  -3.583  0.00172 ** 
					yak_yaksan - yak_yak == 0     16.5636     0.6348  26.091  < 0.001 ***
					---
					Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
					(Adjusted p values reported -- single-step method)

			tapply(latency, cross, mean)
									yak_san yak_sanyak    yak_yak yak_yaksan 
									  31.29320   30.78029   11.30001   27.86360 
			tapply(latency, cross, sd)
									yak_san yak_sanyak    yak_yak yak_yaksan 
									 10.864879  11.770828   4.594049  12.820403 


			yak_duration_lme<-(lmer(duration ~ cross+(1| block)))
		Anova(yak_duration_lme, type="III")

			summary(glht(yak_duration_lme, linfct=mcp(cross ="Tukey")))

			tapply(duration, cross, mean)
 						  yak_san yak_sanyak    yak_yak yak_yaksan 
 						 19.34324   25.31495   25.69256   22.20813 

			tapply(duration, cross, sd)
						   yak_san yak_sanyak    yak_yak yak_yaksan 
						  3.618197   4.354874   3.887837   6.382545 


		yak_effort_lme<-(lmer(effort ~ cross+(1| block)))
		Anova(yak_effort_lme, type="III")
Analysis of Deviance Table (Type III Wald chisquare tests)

Response: effort
             Chisq Df Pr(>Chisq)    
(Intercept) 391.89  1  < 2.2e-16 ***
cross       358.49  3  < 2.2e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

			summary(glht(yak_effort_lme, linfct=mcp(cross ="Tukey")))
							 Simultaneous Tests for General Linear Hypotheses
						Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = effort ~ cross + (1 | block))

Linear Hypotheses:
                              Estimate Std. Error z value Pr(>|z|)    
yak_sanyak - yak_san == 0    -0.013380   0.009771  -1.369   0.5102    
yak_yak - yak_san == 0        0.098650   0.007425  13.286   <0.001 ***
yak_yaksan - yak_san == 0     0.010130   0.009723   1.042   0.7181    
yak_yak - yak_sanyak == 0     0.112029   0.007968  14.061   <0.001 ***
yak_yaksan - yak_sanyak == 0  0.023509   0.010016   2.347   0.0847 .  
yak_yaksan - yak_yak == 0    -0.088520   0.007936 -11.155   <0.001 ***
---

						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
						(Adjusted p values reported -- single-step method)

			tapply(effort, cross, mean)
						   yak_san yak_sanyak    yak_yak yak_yaksan 
 0.1590079  0.1437091  0.2584730  0.1657032 

			tapply(effort, cross, sd)
 						yak_san yak_sanyak    yak_yak yak_yaksan 
 						0.10018931 0.08414795 0.11229643 0.09175527 

###############
#. santomea ###
###############

santomea_LDE<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/santomea_latency_duration.csv")
			attach(santomea_LDE)
			names(santomea_LDE)
			
			san_latency_lme<-(lmer(latency ~ cross+(1| block)))
		Anova(san_latency_lme, type="III")

Analysis of Deviance Table (Type III Wald chisquare tests)

Response: latency
              Chisq Df Pr(>Chisq)    
(Intercept) 5240.76  1  < 2.2e-16 ***
cross        148.59  3  < 2.2e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

			summary(glht(san_latency_lme, linfct=mcp(cross ="Tukey")))

						Simultaneous Tests for General Linear Hypotheses
						Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = latency ~ cross + (1 | block))

Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)    
san_sanyak - san_san == 0      12.948      2.088   6.202  < 0.001 ***
san_yak - san_san == 0         16.213      1.572  10.311  < 0.001 ***
san_yaksan - san_san == 0       8.681      2.681   3.238  0.00624 ** 
san_yak - san_sanyak == 0       3.265      2.570   1.271  0.55716    
san_yaksan - san_sanyak == 0   -4.267      3.364  -1.268  0.55850    
san_yaksan - san_yak == 0      -7.532      3.071  -2.452  0.06098 .  
						---
						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
						(Adjusted p values reported -- single-step method)

			tapply(latency, cross, mean)
									  san_san san_sanyak    san_yak san_yaksan 
        						   24.48036   37.42880   40.69356   33.16133 
			tapply(latency, cross, sd)
									   san_san san_sanyak    san_yak san_yaksan
									  10.449637   8.036972   7.992681  10.310578 

		san_duration_lme<-(lmer(duration ~ cross+(1| block)))
		Anova(san_duration_lme, type="III")


			summary(glht(san_duration_lme, linfct=mcp(cross ="Tukey")))
	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = duration ~ cross + (1 | block))

Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)    
san_sanyak - san_san == 0     -5.2052     1.6350  -3.184   0.0071 ** 
san_yak - san_san == 0        -4.9667     1.2316  -4.033   <0.001 ***
san_yaksan - san_san == 0     -4.5477     2.1000  -2.166   0.1207    
san_yak - san_sanyak == 0      0.2385     2.0120   0.119   0.9993    
san_yaksan - san_sanyak == 0   0.6575     2.6358   0.249   0.9939    
san_yaksan - san_yak == 0      0.4190     2.4054   0.174   0.9979    
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)



 			tapply(duration, cross, mean)
   san_san san_sanyak    san_yak san_yaksan 
  29.69086   24.49800   24.70756   25.13800 
> 
 tapply(duration, cross, sd)
   san_san san_sanyak    san_yak san_yaksan 
  8.034575  10.028962   5.652609  11.693512 

		san_effort_lme<-(lmer(effort ~ cross+(1| block)))
		Anova(san_effort_lme, type="III")
nalysis of Deviance Table (Type III Wald chisquare tests)

Response: effort
              Chisq Df Pr(>Chisq)    
(Intercept) 868.111  1  < 2.2e-16 ***
cross        11.367  3   0.009896 ** 
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

			summary(glht(san_effort_lme, linfct=mcp(cross ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = effort ~ cross + (1 | block))

Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)  
san_sanyak - san_san == 0    -0.04944    0.02073  -2.385   0.0721 .
san_yak - san_san == 0       -0.03665    0.01566  -2.340   0.0803 .
san_yaksan - san_san == 0    -0.02377    0.02670  -0.890   0.7939  
san_yak - san_sanyak == 0     0.01278    0.02547   0.502   0.9542  
san_yaksan - san_sanyak == 0  0.02567    0.03362   0.764   0.8589  
san_yaksan - san_yak == 0     0.01289    0.03055   0.422   0.9720  
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(effort, cross, mean)
							san_san san_sanyak    san_yak san_yaksan 
 0.1824522  0.1339401  0.1434752  0.1470876 

			tapply(effort, cross, sd)

							    san_san san_sanyak    san_yak san_yaksan 
							 0.10535919 0.06353006 0.06815202 0.08297570 

###############
#. simulans ###
###############

latency_duration_dataframe<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/sim_latency_duration.csv")
			attach(latency_duration_dataframe)
			names(latency_duration_dataframe)

				
		sim_latency_lme<-(lmer(latency ~ cross+(1| block)))
		Anova(sim_latency_lme, type="III")

			Analysis of Deviance Table (Type III Wald chisquare tests)
			Response: latency
			             Chisq Df Pr(>Chisq)    
			(Intercept) 3731.7  1  < 2.2e-16 ***
			cross       1949.8  3  < 2.2e-16 ***
			---
			Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

			summary(glht(sim_latency_lme, linfct=mcp(cross ="Tukey")))

							 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = latency ~ cross + (1 | block))

Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)    
sim_mausim - sim_mau == 0      7.0838     1.0003   7.081   <0.001 ***
sim_sim - sim_mau == 0       -19.2079     0.5901 -32.552   <0.001 ***
sim_simmau - sim_mau == 0     -2.5414     1.0051  -2.529   0.0513 .  
sim_sim - sim_mausim == 0    -26.2917     0.8771 -29.976   <0.001 ***
sim_simmau - sim_mausim == 0  -9.6252     1.1958  -8.049   <0.001 ***
sim_simmau - sim_sim == 0     16.6665     0.8813  18.912   <0.001 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(latency, cross, mean)
						             sim_mau sim_mausim    sim_sim sim_simmau 
						          33.35800   40.45973   14.17291   30.85707 
			tapply(latency, cross, sd)
						              sim_mau sim_mausim    sim_sim sim_simmau 
						           10.168317   7.586898   5.829138  12.960741 

		sim_duration_lme<-(lmer(duration ~ cross+(1| block)))
		Anova(sim_duration_lme, type="III")
Analysis of Deviance Table (Type III Wald chisquare tests)

Response: duration
              Chisq Df Pr(>Chisq)    
(Intercept) 1559.88  1  < 2.2e-16 ***
cross        931.66  3  < 2.2e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

			summary(glht(sim_duration_lme, linfct=mcp(cross ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = duration ~ cross + (1 | block))

Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)    
sim_mausim - sim_mau == 0      6.7476     0.8338   8.093   <0.001 ***
sim_sim - sim_mau == 0        13.9036     0.4922  28.247   <0.001 ***
sim_simmau - sim_mau == 0      4.3975     0.8387   5.243   <0.001 ***
sim_sim - sim_mausim == 0      7.1560     0.7311   9.788   <0.001 ***
sim_simmau - sim_mausim == 0  -2.3501     0.9972  -2.357   0.0793 .  
sim_simmau - sim_sim == 0     -9.5061     0.7354 -12.927   <0.001 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(duration, cross, mean)

						             sim_mau sim_mausim    sim_sim sim_simmau 
						       	   18.12562   24.83067   31.98047   22.49280 

			tapply(duration, cross, sd)
						             sim_mau sim_mausim    sim_sim sim_simmau 
  						        8.148532   2.923919   5.967188   3.281042 

		sim_effort_lme<-(lmer(effort ~ cross+(1| block)))
		Anova(sim_effort_lme, type="III")

Analysis of Deviance Table (Type III Wald chisquare tests)

Response: effort
              Chisq Df Pr(>Chisq)    
(Intercept)  83.526  1  < 2.2e-16 ***
cross       237.237  3  < 2.2e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
> 

			summary(glht(sim_effort_lme, linfct=mcp(cross ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = effort ~ cross + (1 | block))

Linear Hypotheses:
                              Estimate Std. Error z value Pr(>|z|)    
sim_mausim - sim_mau == 0    -0.010609   0.013150  -0.807    0.842    
sim_sim - sim_mau == 0        0.096915   0.007855  12.338   <0.001 ***
sim_simmau - sim_mau == 0     0.019943   0.013445   1.483    0.429    
sim_sim - sim_mausim == 0     0.107524   0.011528   9.327   <0.001 ***
sim_simmau - sim_mausim == 0  0.030551   0.015840   1.929    0.203    
sim_simmau - sim_sim == 0    -0.076973   0.011783  -6.532   <0.001 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(effort, cross, mean)
						   sim_mau sim_mausim    sim_sim sim_simmau 
						0.07920979 0.06819031 0.17615590 0.09871707 


			tapply(effort, cross, sd)
						   sim_mau sim_mausim    sim_sim sim_simmau 
						0.06555289 0.03981184 0.10630832 0.08694672 
 

#################
#D. mauritiana ###
#################

mau_latency_duration_dataframe<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/mau_latency_duration.csv")
			attach(mau_latency_duration_dataframe)
			names(latency_duration_dataframe)
			
		mau_latency_lme<-(lmer(latency ~ cross+(1| block)))
		Anova(mau_latency_lme, type="III")
Analysis of Deviance Table (Type III Wald chisquare tests)

Response: latency
              Chisq Df Pr(>Chisq)    
(Intercept) 3022.82  1  < 2.2e-16 ***
cross        118.99  3  < 2.2e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

			summary(glht(mau_latency_lme, linfct=mcp(cross ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lmer(formula = latency ~ cross + (1 | block))

Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)    
mau_mausim - mau_mau == 0     15.7781     2.4390   6.469   <1e-05 ***
mau_sim - mau_mau == 0        19.0599     3.1054   6.138   <1e-05 ***
mau_simmau - mau_mau == 0     18.1537     2.7589   6.580   <1e-05 ***
mau_sim - mau_mausim == 0      3.2818     3.9173   0.838    0.823    
mau_simmau - mau_mausim == 0   2.3756     3.6536   0.650    0.907    
mau_simmau - mau_sim == 0     -0.9062     4.1201  -0.220    0.996    
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(latency, cross, mean)
    mau_mau mau_mausim    mau_sim mau_simmau 
  20.98314   36.92222   40.09091   39.24286 

			tapply(latency, cross, sd)
   mau_mau mau_mausim    mau_sim mau_simmau 
 10.091563  14.758190   6.038287  14.282949 

		mau_duration_lme<-(lmer(duration ~ cross+(1| block)))
		Anova(mau_duration_lme, type="III")

Analysis of Deviance Table (Type III Wald chisquare tests)

Response: duration
                Chisq Df Pr(>Chisq)    
(Intercept) 14377.956  1  < 2.2e-16 ***
cross          74.806  3  3.987e-16 ***
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
 

			summary(glht(mau_duration_lme, linfct=mcp(cross ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts
Fit: lmer(formula = duration ~ cross + (1 | block))
Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)    
mau_mausim - mau_mau == 0      -6.477      1.640  -3.950   <0.001 ***
mau_sim - mau_mau == 0        -12.412      2.088  -5.943   <0.001 ***
mau_simmau - mau_mau == 0      -9.486      1.855  -5.114   <0.001 ***
mau_sim - mau_mausim == 0      -5.935      2.634  -2.253    0.100    
mau_simmau - mau_mausim == 0   -3.010      2.455  -1.226    0.588    
mau_simmau - mau_sim == 0       2.926      2.772   1.055    0.697    
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(duration, cross, mean)
   mau_mau mau_mausim    mau_sim mau_simmau 
  29.36154   22.89444   16.89091   19.82857 

			tapply(duration, cross, sd)
   mau_mau mau_mausim    mau_sim mau_simmau 
  6.811391  10.878769   6.293561   5.062901 

 
		mau_effort_lme<-(lmer(effort ~ cross+(1| block)))
		Anova(mau_effort_lme, type="III")
 
			summary(glht(mau_effort_lme, linfct=mcp(cross ="Tukey")))

Simultaneous Tests for General Linear Hypotheses
Multiple Comparisons of Means: Tukey Contrasts
Fit: lmer(formula = effort ~ cross + (1 | block))
Linear Hypotheses:
                             Estimate Std. Error z value Pr(>|z|)  
mau_mausim - mau_mau == 0    -0.07468    0.02652  -2.816   0.0226 *
mau_sim - mau_mau == 0       -0.10116    0.03370  -3.002   0.0129 *
mau_simmau - mau_mau == 0    -0.06255    0.03000  -2.085   0.1454  
mau_sim - mau_mausim == 0    -0.02647    0.04250  -0.623   0.9176  
mau_simmau - mau_mausim == 0  0.01213    0.03984   0.305   0.9891  
mau_simmau - mau_sim == 0     0.03860    0.04458   0.866   0.8080  
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

			tapply(effort, cross, mean)
  mau_mau mau_mausim    mau_sim mau_simmau 
0.17690224 0.10642202 0.07227603 0.10185744 

			tapply(effort, cross, sd)
   mau_mau mau_mausim    mau_sim mau_simmau 
0.11495128 0.07684285 0.05133360 0.11602052 


###########################
#FIGURE 4. Principal component analysis (PCA) of cuticular hydrocarbon (CHC) profiles of #pure species and hybrid females.
###############################
#TABLE 3. Pure species and F1 hybrids tend to show differences in their joint CHC profile in the two studies species pairs
########################################
#A#
library(factoextra)
pdf(file="Figure_4A_CHC_yaksan.pdf", height=6, width=6)

library(factoextra)
yak_san_females<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/CHC_san_yak_fulldata.csv")
 	names(yak_san_females)
 	attach(yak_san_females)
 		Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:57])
 			df <- yak_san_females[c(12,13,14,15,16,17,18)]
 			res.pca <- prcomp(df)
 
 				fviz_pca_ind(res.pca,
 				               col.ind = groups, # color by groups
 				               palette = c("red",  "black", "blue", "darkgoldenrod1"),
 				               addEllipses = TRUE, # Concentration ellipses
 				               ellipse.type = "t",
 				               legend.title = "Groups",
 				               repel = TRUE,geom="point"
 				               
 			               )


dev.off()
           
                

#ANALYSES

library(multcomp)
		plot(summary(res.pca)$importance[3,])
		pcs_yak <- as.data.frame(res.pca $x)
				plot(pcs_yak $PC1~ Species_factor)

		pc1_lm_yaksan<-lm(pcs_yak $PC1~ Species_factor)
		summary(glht(pc1_lm_yaksan, linfct=mcp(Species_factor ="Tukey")))

							 Simultaneous Tests for General Linear Hypotheses
							 Multiple Comparisons of Means: Tukey Contrasts
							 Fit: lm(formula = pcs_yak$PC1 ~ Species_factor)
							 Linear Hypotheses:
							                        Estimate Std. Error t value Pr(>|t|)    
							 san_yak - san == 0       0.9793     0.1142   8.576  < 0.001 ***
							 yak - san == 0           1.3241     0.1280  10.345  < 0.001 ***
							 yak_san - san == 0       0.4674     0.1479   3.160  0.01292 *  
							 yak - san_yak == 0       0.3448     0.1192   2.892  0.02685 *  
							 yak_san - san_yak == 0  -0.5120     0.1403  -3.648  0.00309 ** 
							 yak_san - yak == 0      -0.8568     0.1518  -5.645  < 0.001 ***
							 ---
							 Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
							 (Adjusted p values reported -- single-step method)

		anova(pc1_lm_yaksan)

							 Species_factor  3 14.4395  4.8132  42.185 4.514e-14 ***
							Residuals      53  6.0471  0.1141                      

########################
########################
#########################

#B#

pdf(file="Figure3B_CHC_mausim.pdf", height=6, width=6)


 mau_sim_females<-read.csv("~/Dropbox/mau_sim_f1.csv")
 	names(mau_sim_females)
 	attach(mau_sim_females)
 		Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:29])
 
 			df <- mau_sim_females[c(14,15,16,17,18,19,20)]
 			res.pca <- prcomp(df)
 
 				fviz_pca_ind(res.pca,
 				               col.ind = groups, # color by groups
 				               palette = c("red", "blue3", "blueviolet"),
 				               addEllipses = TRUE, # Concentration ellipses
 				               ellipse.type = "t",
 				               legend.title = "Groups",
 				               repel = FALSE, geom="point"
 			               )


dev.off()

                
                
#ANALYSES

				plot(summary(res.pca)$importance[3,])
		pcs_sim <- as.data.frame(res.pca $x)
				plot(pcs_sim $PC1~ Species_factor_sim)
        pc1_lm_simmau<-lm(pcs_sim $PC1~ Species_factor)
        summary(glht(pc1_lm_simmau, linfct=mcp(Species_factor ="Tukey")))

>         summary(glht(pc1_lm_simmau, linfct=mcp(Species_factor ="Tukey")))

	 Simultaneous Tests for General Linear Hypotheses

Multiple Comparisons of Means: Tukey Contrasts


Fit: lm(formula = pcs_sim$PC1 ~ Species_factor)

Linear Hypotheses:
                   Estimate Std. Error t value Pr(>|t|)    
sim - mau == 0      -1.5249     0.2001  -7.622   <0.001 ***
sim_mau - mau == 0  -0.9588     0.2172  -4.414   <0.001 ***
sim_mau - sim == 0   0.5660     0.2128   2.660    0.034 *  
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
(Adjusted p values reported -- single-step method)

> 
> anova(pc1_lm_simmau)

		anova(pc1_lm_simmau)

Analysis of Variance Table

Response: pcs_sim$PC1
               Df  Sum Sq Mean Sq F value    Pr(>F)    
Species_factor  2 12.3280  6.1640  29.398 2.117e-07 ***
Residuals      26  5.4515  0.2097                      
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

#########################################################################
######FIGURE 5:Perfuming hybrid and pure species females modifies their CHC profile.
#########################################################################
######TABLE 4. Perfuming experiments induce differences in the joint CHC profile in D. simulans, D. mauritiana and F1 hybrids. 
############

###PURE SPECiES AND F1s#

pdf(file="Figure4A_CHC_mausim.pdf", height=6, width=6)

sim_perfumed<-read.csv("~/Dropbox/dyad_data_CHC/simulans_perfumed.csv")
 	names(sim_perfumed)
 	attach(sim_perfumed)
 		Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:43])
 			df_sim_perf <- sim_perfumed[c(14,15, 16,17,18,19,20)]
 			res.pca_simperf <- prcomp(df_sim_perf)
 
 				fviz_pca_ind(res.pca_simperf,
 				               col.ind = groups, # color by groups
 				               palette = c( "red", "blue3", "blueviolet", "grey1",  "grey63"),
 				               addEllipses = TRUE, # Concentration ellipses
 				               ellipse.type = "t",
 				               legend.title = "Groups",
 				               repel = TRUE, geom="point"
 			               )
dev.off()
						pca_simperf_dataframe <- as.data.frame(res.pca_simperf $x)

 						pca_simperf_lm<-lm(pca_simperf_dataframe $PC1~ Species_factor)
 						anova(pca_simperf_lm)
 						 						Analysis of Variance Table
 						 						Response: pca_simperf_dataframe$PC1
 						 						               Df  Sum Sq Mean Sq F value    Pr(>F)    
 						 						Species_factor  4 16.9549  4.2387  26.654 1.406e-10 ***
 						 						Residuals      38  6.0431  0.1590                      
                     
 						 						---
 						 						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
 
 						summary(glht(pca_simperf_lm, linfct=mcp(Species_factor ="Tukey")))
									 Simultaneous Tests for General Linear Hypotheses
									 Multiple Comparisons of Means: Tukey Contrasts
									 Fit: lm(formula = pca_simperf_dataframe$PC1 ~ Species_factor)
									 Linear Hypotheses:
 									                                          Estimate Std. Error t value Pr(>|t|)    
									 					sim - mau == 0                             1.52452    0.17428   8.748   <0.001 ***
									 					sim_mau - mau == 0                         0.95980    0.18920   5.073   <0.001 ***
									 					wsim_perfumed_mau - mau == 0               0.02445    0.19656   0.124   0.9999    
									 					xsim_perfumed_f1 - mau == 0                1.06544    0.19656   5.420   <0.001 ***
									 					sim_mau - sim == 0                        -0.56472    0.18534  -3.047   0.0319 *  
									 					wsim_perfumed_mau - sim == 0              -1.50007    0.19285  -7.778   <0.001 ***
									 					xsim_perfumed_f1 - sim == 0               -0.45908    0.19285  -2.381   0.1422    
									 					wsim_perfumed_mau - sim_mau == 0          -0.93535    0.20643  -4.531   <0.001 ***
									 					xsim_perfumed_f1 - sim_mau == 0            0.10564    0.20643   0.512   0.9856    
									 					xsim_perfumed_f1 - wsim_perfumed_mau == 0  1.04099    0.21320   4.883   <0.001 ***
									 					---
									 					Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
									 					(Adjusted p values reported -- single-step method)

 		anova(pca_simperf_lm)
					Analysis of Variance Table
					Response: pca_simperf_dataframe$PC1
					               Df  Sum Sq Mean Sq F value    Pr(>F)    
					Species_factor  4 16.9566  4.2391  26.645 1.413e-10 ***
					Residuals      38  6.0456  0.1591                      
					---
					Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


pdf(file="FigureS8_CHC_mausim.pdf", height=6, width=6)


mau_perfumed_data<-read.csv("~/Dropbox/mauritiana_perfumed.csv")
 	names(mau_perfumed_data)
 	attach(mau_perfumed_data)
 	
 	 	Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:39])
 			df_mau_perf <- mau_perfumed_data[c(14,15, 16,17,18,19,20)]
 			res.pca_mauperf <- prcomp(df_mau_perf)
 
 				fviz_pca_ind(res.pca_mauperf,
 				               col.ind = groups, # color by groups
 				               palette = c("red",  "blue3", "blueviolet", "grey1",  "grey63"),
 				               addEllipses = TRUE, # Concentration ellipses
 				               ellipse.type = "t",
 				               legend.title = "Groups",
 				               repel = TRUE, geom="point"
 			               )
dev.off()

				pca_mauperf_dataframe <- as.data.frame(res.pca_mauperf $x)
 				pca_mauperf_lm<-lm(pca_mauperf_dataframe $PC1~ Species_factor)
 				summary(glht(pca_mauperf_lm, linfct=mcp(Species_factor ="Tukey")))

 				 				Simultaneous Tests for General Linear Hypotheses
 				 				Multiple Comparisons of Means: Tukey Contrasts
 				 				Fit: lm(formula = pca_mauperf_dataframe$PC1 ~ Species_factor)
 				 				Linear Hypotheses:
 				 				                                               Estimate Std. Error t value Pr(>|t|)    
sim - mau == 0                                 -1.52496    0.21281  -7.166  < 1e-04 ***
sim_mau - mau == 0                             -0.95938    0.23103  -4.153  0.00174 ** 
xmau_perfumed_F1 - mau == 0                    -1.07790    0.26677  -4.041  0.00250 ** 
xmau_perfumed_with_sim - mau == 0              -1.14662    0.26677  -4.298  0.00118 ** 
sim_mau - sim == 0                              0.56557    0.22632   2.499  0.11279    
xmau_perfumed_F1 - sim == 0                     0.44706    0.26270   1.702  0.44236    
xmau_perfumed_with_sim - sim == 0               0.37833    0.26270   1.440  0.60305    
xmau_perfumed_F1 - sim_mau == 0                -0.11852    0.27767  -0.427  0.99262    
xmau_perfumed_with_sim - sim_mau == 0          -0.18724    0.27767  -0.674  0.95995    
xmau_perfumed_with_sim - xmau_perfumed_F1 == 0 -0.06872    0.30804  -0.223  0.99941    
 				 				---
 				 				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
 				 				(Adjusted p values reported -- single-step method)

 				anova(pca_mauperf_lm)

 				 				Analysis of Variance Table

 				 				Response: pca_mauperf_dataframe$PC1
 				 				               Df  Sum Sq Mean Sq F value   Pr(>F)    
 				 				Species_factor  4 12.8811  3.2203  13.575 1.03e-06 ***
 				 				Residuals      34  8.0656  0.2372                     
 				 				---
 				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

pdf(file="FigureS9_CHC_mausim.pdf", height=6, width=6)


F1_perfumed<-read.csv("~/Dropbox/F1hybrids_perfumed.csv")
 	names(F1_perfumed)
 	attach(F1_perfumed)
 	
 	 	Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:41])
 			df_F1_perf <- F1_perfumed[c(14,15, 16,17,18,19,20)]
 			res.pca_F1perf <- prcomp(df_F1_perf)
 
 				fviz_pca_ind(res.pca_F1perf,
 				               col.ind = groups, # color by groups
 				               palette = c("red",  "blue3", "blueviolet", "grey1",  "grey63"),
 				               addEllipses = TRUE, # Concentration ellipses
 				               ellipse.type = "t",
 				               legend.title = "Groups",
 				               repel = TRUE, geom="point"
 			               )
dev.off()

						pca_F1perf_dataframe <- as.data.frame(res.pca_F1perf $x)
 						pc1_lm_perfumedF1<-lm(pca_F1perf_dataframe $PC1~ Species_factor)
 						summary(glht(pc1_lm_perfumedF1, linfct=mcp(Species_factor ="Tukey")))

  						  						Simultaneous Tests for General Linear Hypotheses
  						  						Multiple Comparisons of Means: Tukey Contrasts
  						  						Fit: lm(formula = pca_F1perf_dataframe$PC1 ~ Species_factor)
  						  						Linear Hypotheses:
  						  						                                         Estimate Std. Error t value Pr(>|t|)    
  						  						sim - mau == 0                            -1.5245     0.1889  -8.072   <0.001 ***
  						  						sim_mau - mau == 0                        -0.9584     0.2050  -4.674   <0.001 ***
  						  						wF1 perfumed mau - mau == 0                0.1597     0.2232   0.716    0.951    
  						  						xF1 perfumed sim - mau == 0               -1.2020     0.2232  -5.385   <0.001 ***
  						  						sim_mau - sim == 0                         0.5661     0.2009   2.818    0.056 .  
  						  						wF1 perfumed mau - sim == 0                1.6842     0.2194   7.677   <0.001 ***
  						  						xF1 perfumed sim - sim == 0                0.3225     0.2194   1.470    0.586    
  						  						wF1 perfumed mau - sim_mau == 0            1.1181     0.2334   4.790   <0.001 ***
  						  						xF1 perfumed sim - sim_mau == 0           -0.2436     0.2334  -1.043    0.832    
  						  						xF1 perfumed sim - wF1 perfumed mau == 0  -1.3617     0.2496  -5.456   <0.001 ***
 
  						  						---
  						  						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1
  						  						(Adjusted p values reported -- single-step method)

  						anova(pc1_lm_perfumedF1)

  						  						Analysis of Variance Table
  						  						Response: pca_F1perf_dataframe$PC1
  						  						               Df  Sum Sq Mean Sq F value    Pr(>F)    
  						  						Species_factor  4 18.7619  4.6905  25.103 5.495e-10 ***
  						  						Residuals      36  6.7266  0.1869                      
           
  						  						---
  						  						Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1


 
######
#FIGURE 6. Perfuming Pure species females with the CHC blend of pure species changes their attractiveness to pure species males. 
#######
			perfume_Hybrids_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/boxplots_perfuming_hybrids.csv")
			attach(perfume_Hybrids_data)
			names(perfume_Hybrids_data)

						X = subset(perfume_Hybrids_data, perfumed_yak == "F1; np")
						wilcox.test(X$prop_yak, mu=0.33333)
						t.test(X$prop_yak, mu=0.33333)

V = 12, p-value = 0.8438


						X = subset(perfume_Hybrids_data, perfumed_yak == "san_per")
						wilcox.test(X$prop_yak, mu=0.33333)

V = 0, p-value = 0.03125


						X = subset(perfume_Hybrids_data, perfumed_yak == "yak_per")
						wilcox.test(X$prop_yak, mu=0.33333)

V = 21, p-value = 0.03552

						X = subset(perfume_Hybrids_data, perfumed_san == "F1; np")
						wilcox.test(X$prop_san, mu=0.33333)

V = 4, p-value = 0.2072

						X = subset(perfume_Hybrids_data, perfumed_san == "san_per")
						wilcox.test(X$prop_san, mu=0.33333)
V = 21, p-value = 0.03125

						X = subset(perfume_Hybrids_data, perfumed_san == "yak_per")
						wilcox.test(X$prop_san, mu=0.33333)
V = 0, p-value = 0.03125


						X = subset(perfume_Hybrids_data, perfumed_sim == "F1; np")
						wilcox.test(X$prop_sim, mu=0.33333)
V = 16, p-value = 0.3125

						X = subset(perfume_Hybrids_data, perfumed_sim == "mau_per")
						wilcox.test(X$prop_sim, 0.33333)
W = 0, p-value = 0.2857
						
						X = subset(perfume_Hybrids_data, perfumed_sim == "sim_per")
						wilcox.test(X$prop_sim, 0.33333)
W = 6, p-value = 0.2857
									
						X = subset(perfume_Hybrids_data, perfumed_mau == "F1; np")
						wilcox.test(X$prop_mau, mu=0.333)
V = 21, p-value = 0.03125

						X = subset(perfume_Hybrids_data, perfumed_mau == "mau_per")
						wilcox.test(X$prop_mau, mu=0.333)
V = 21, p-value = 0.03552


						X = subset(perfume_Hybrids_data, perfumed_mau == "sim_per")
						wilcox.test(X$prop_mau, mu=0.333)
V = 0, p-value = 0.03125

t_col <- function(color, percent = 50, name = NULL) {
  #      color = color name
  #    percent = % transparency
  #       name = an optional name for the color

## Get RGB values for named color
rgb.val <- col2rgb(color)

## Make new color using input color as base and alpha set by transparency
t.col <- rgb(rgb.val[1], rgb.val[2], rgb.val[3],
             max = 255,
             alpha = (100 - percent) * 255 / 100,
             names = name)

## Save the color
invisible(t.col)
}
## END

t_grey <- t_col("grey88", perc = 50, name = "lt.blue")

pdf(file="Figure6_hybrids.pdf", height=6, width=8)

				par(mfrow=c(2,2)) 

						perfume_Hybrids_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/boxplots_perfuming_hybrids.csv")
						attach(perfume_Hybrids_data)
						names(perfume_Hybrids_data)

						beeswarm(prop_yak ~ perfumed_yak, pch=19, col="red", main="A. D. yakuba", ylab="Proportion mated", xlab="Treatment", ylim=c(0,0.7))
												boxplot(prop_yak ~ perfumed_yak, add = TRUE, col=t_grey)
												abline(h=0.333, col="red", lwd=2, lty=2)

						beeswarm(prop_san ~ perfumed_san, pch=19, col="blue", main="B. D. santomea", ylab="Proportion mated", xlab="Treatment", ylim=c(0,0.7))
												boxplot(prop_san ~ perfumed_san, add = TRUE, col=t_grey)
												abline(h= 0.333, col="red", lwd=2, lty=2)

						beeswarm(prop_sim ~ perfumed_sim, pch=19, col="orange", main="C. D. simulans", ylab="Proportion mated", xlab="Treatment", ylim=c(0,0.7))
												boxplot(prop_sim ~ perfumed_sim, add = TRUE, col=t_grey)
												abline(h= 0.333, col="red", lwd=2, lty=2)

						beeswarm(prop_mau ~ perfumed_mau, pch=19, col="purple", main="D. D. mauritiana", ylab="Proportion mated", xlab="Treatment", ylim=c(0,0.7))
												boxplot(prop_mau ~ perfumed_mau, add = TRUE, col=t_grey)
						abline(h= 0.333, col="red", lwd=2, lty=2)

dev.off()

#####################################
#FIGURE 7. Perfuming pure species females with the CHC blend of heterospecifics or hybrid females reduces their attractiveness to pure species males. 
####################################

						perfume_PS_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/boxplots_perfuming_pure_species.csv")
						attach(perfume_PS_data)
						names(perfume_PS_data)

X = subset(perfume_PS_data, perfumed_yak == "hyb_per")
						wilcox.test(X$prop_yak, 0.33333)

W = 1, p-value = 0.4492

X = subset(perfume_PS_data, perfumed_yak == "PS; np")
						wilcox.test(X$prop_yak, 0.33333)

W = 6, p-value = 0.2857
						
X = subset(perfume_PS_data, perfumed_yak == "san_per")
						wilcox.test(X$prop_yak, 0.33333)

W = 0, p-value = 0.2857
						
X = subset(perfume_PS_data, perfumed_san == "hyb_per")
						wilcox.test(X$proportion_san, 0.33333)

W = 0, p-value = 0.2857

X = subset(perfume_PS_data, perfumed_san == "PS; np")
						wilcox.test(X$proportion_san, 0.33333)

W = 6, p-value = 0.203

X = subset(perfume_PS_data, perfumed_san == "yak_per")
						wilcox.test(X$proportion_san, 0.33333)

W = 1, p-value = 0.4492

X = subset(perfume_PS_data, perfumed_sim == "hyb_per")
						wilcox.test(X$proportion_sim, 0.33333)

W = 1, p-value = 0.5714

X = subset(perfume_PS_data, perfumed_sim == "mau_per")
						wilcox.test(X$proportion_sim, 0.33333)
W = 3, p-value = 1

X = subset(perfume_PS_data, perfumed_sim == "PS; np")
						wilcox.test(X$proportion_sim, 0.33333)
W = 6, p-value = 0.2857

X = subset(perfume_PS_data, perfumed_mau== "hyb_per")
						wilcox.test(X$proportion_mau, 0.33333)
W = 0, p-value = 0.2857

X = subset(perfume_PS_data, perfumed_mau== "PS; np")
						wilcox.test(X$proportion_mau, 0.33333)
W = 6, p-value = 0.2857

X = subset(perfume_PS_data, perfumed_mau== "sim_per")
						wilcox.test(X$proportion_mau, 0.33333)
W = 2, p-value = 0.8008
						
pdf(file="Figure6_perfuming_PureSpecies.pdf", height=6, width=8)
		library(beeswarm)

				par(mfrow=c(2,2)) 
						perfume_PS_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/data_Dryad/boxplots_perfuming_pure_species.csv")
						attach(perfume_PS_data)
						names(perfume_PS_data)


						beeswarm(prop_yak~ perfumed_yak, pch=19, col="red", main="A. D. yakuba", ylab="Proportion mated", xlab="Treatment", ylim=c(0,0.7))
												boxplot(prop_yak ~ perfumed_yak, add = TRUE, col=t_grey)
												abline(h= 0.33, col="red", lwd=2, lty=2)

						beeswarm(proportion_san ~ perfumed_san, pch=19, col="blue", main="B. D. santomea", ylab="Proportion mated", xlab="Treatment", ylim=c(0,.7))
												boxplot(proportion_san ~ perfumed_san, add = TRUE, col=t_grey)
												abline(h= 0.33, col="red", lwd=2, lty=2)

						beeswarm(proportion_sim ~ perfumed_sim, pch=19, col="orange", main="C. D. simulans", ylab="Proportion mated", xlab="Treatment", ylim=c(0,.7))
												boxplot(proportion_sim ~ perfumed_sim, add = TRUE, col=t_grey)
												abline(h= 0.33, col="red", lwd=2, lty=2)

						beeswarm(proportion_mau ~ perfumed_mau, pch=19, col="purple", main="D. D. mauritiana", ylab="Proportion mated", xlab="Treatment", ylim=c(0,.7))
												boxplot(proportion_mau ~ perfumed_mau, add = TRUE, col=t_grey)
												abline(h=0.33, col="red", lwd=2, lty=2)

dev.off()




#############
##REVISION
###############
#



#DOuble markings
#yakuba

> 		chisq.test(x_yak)

	Pearsons Chi-squared test

data:  x_yak
X-squared = 5.6057, df = 15, p-value = 0.9856

> chisq.test(x_san)

	Pearsons Chi-squared test

data:  x_san
X-squared = 6.0959, df = 15, p-value = 0.9781

> chisq.test(x_sim)

	Pearsons Chi-squared test

data:  x_sim
X-squared = 2.2629, df = 15, p-value = 0.9999

> chisq.test(x_mau)

	Pearsons Chi-squared test

data:  x_smau
X-squared = 4.0687, df = 15, p-value = 0.9975


#DOUBLE MARKING, TIME COURTING#

chc_dm_yak<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/yakuba_dm.csv")
names(chc_dm_yak)
attach(chc_dm_yak)
anova(lm(time~ color* clipping))
				
				Analysis of Variance Table
				Response: time
				               Df  Sum Sq Mean Sq F value Pr(>F)
				color           3   3.857 1.28572  0.6430 0.5896
				clipping        3   0.686 0.22859  0.1143 0.9515
				color:clipping  9  10.083 1.12033  0.5603 0.8254
				Residuals      80 159.958 1.99948 

chc_dm_sim<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/simulans_dm.csv")
names(chc_dm_sim)
attach(chc_dm_sim)
anova(lm(time~ color* clipping))


				Analysis of Variance Table
				Response: time
				               Df  Sum Sq Mean Sq F value Pr(>F)
				color           3   6.471  2.1569  0.8342 0.4790
				clipping        3   5.948  1.9826  0.7668 0.5160
				color:clipping  9  28.904  3.2115  1.2421 0.2818
				Residuals      80 206.845  2.5856   

chc_dm_san<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/santomea_dm.csv")
names(chc_dm_san)
attach(chc_dm_san)
anova(lm(time~ color* clipping))

				Analysis of Variance Table
				Response: time
				               Df  Sum Sq Mean Sq F value  Pr(>F)  
				color           3   2.841  0.9470  0.6773 0.56847  
				clipping        3  11.644  3.8813  2.7760 0.04661 *
				color:clipping  9  20.947  2.3275  1.6647 0.11143  
				Residuals      80 111.851  1.3981                  
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

chc_dm_mau<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/mauritiana_dm.csv")
names(chc_dm_mau)
attach(chc_dm_mau)
anova(lm(time~ color* clipping))

				Analysis of Variance Table
				Response: time
				               Df  Sum Sq Mean Sq F value  Pr(>F)  
				color           3   1.997  0.6657  0.3389 0.79722  
				clipping        3  13.338  4.4459  2.2634 0.08741 .
				color:clipping  9  10.166  1.1296  0.5751 0.81372  
				Residuals      80 157.138  1.9642                  
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

#DOuble scoring

#LM

double_scoring_lm_dataframe<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/double_scoring_lm.csv")
attach(double_scoring_lm_dataframe)
names(double_scoring_lm_dataframe)

anova(lm(time_1~ species*scorer))
				Analysis of Variance Table
				Response: time_1
				                Df  Sum Sq Mean Sq F value   Pr(>F)   
				species          3   24.74  8.2457  4.2560 0.005407 **
				scorer           1    1.35  1.3509  0.6973 0.403967   
				species:scorer   3    0.13  0.0435  0.0225 0.995434   
				Residuals      760 1472.43  1.9374                    
				---
				Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1




		        
##############################################################################################################
 #############################################################################################################
##############################################################################################################
 #############################################################################################################
# SUPPLEMENTARY FIGURES
#############
##############################################################################################################
 #############################################################################################################
##############################################################################################################
 #############################################################################################################
##############

#######################
##FIGURE S1. No effect of the marking scheme I. Abdominal color. Marking females with different abdominal colors had no effect on their attractiveness to pure species males. Confidence intervals around the estimated proportion were calculated using the log (cloglog) parameterization. The red dashed line shows the expectation of completely uniform mating. Nc: non-colored. Table S3 shows the results from the comparisons 

#######################

pdf(file="FigureS1_CHC_v1.pdf", height=6, width=6)
library(gplots)
par(mfrow=c(2,2)) 

#A. Yakuba
binom.cloglog(31, 100, conf.level = 0.95)
binom.cloglog(19, 100, conf.level = 0.95)
binom.cloglog(25, 100, conf.level = 0.95)
binom.cloglog(22, 100, conf.level = 0.95)

X-squared = 1.5828, df = 3, p-value = 0.6633


means<-c(0.31, 0.19, 0.25, 0.22)
lower <-c(0.2223877 , 0.1201541, 0.1701718, 0.1448524)
upper<-c(0.4015517, 0.2721008, 0.3378379 , 0.3052536)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="A. D. yakuba males")
axis(side=1, at=1:4, labels=c("red","blue","green","nc"), cex=0.7)
					abline(h=0.25, col="red", lwd=2, lty=2)


#B. santomea
binom.cloglog(27, 100, conf.level = 0.95)
binom.cloglog(35, 100, conf.level = 0.95)
binom.cloglog(16, 100, conf.level = 0.95)
binom.cloglog(15, 100, conf.level = 0.95)

X-squared = 5.7686, df = 3, p-value = 0.1234


means<-c(0.27, 0.35, 0.16, 0.15)
lower <-c(0.1873577 , 0.2582124, 0.09618565, 0.08838404)
upper<-c(0.3592789, 0.4430846, 0.2382844 , 0.2268425)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="B. D. santomea males")
axis(side=1, at=1:4, labels=c("red","blue","green","nc"), cex=0.7)
					abline(h=0.25, col="red", lwd=2, lty=2)

#C. D. simulans
binom.cloglog(22, 100, conf.level = 0.95)
binom.cloglog(22, 100, conf.level = 0.95)
binom.cloglog(29, 100, conf.level = 0.95)
binom.cloglog(25, 100, conf.level = 0.95)

X-squared = 0.65237, df = 3, p-value = 0.8843


means<-c(0.22, 0.22, 0.29, 0.25)
lower <-c(0.1448524 , 0.1448524, 0.2047677, 0.1701718)
upper<-c(0.3052536, 0.3052536, 0.3805127 , 0.3378379)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="C. D. simulans males")
axis(side=1, at=1:4, labels=c("red","blue","green","nc"), cex=0.7)
					abline(h=0.25, col="red", lwd=2, lty=2)


#D. D. mauritiana
binom.cloglog(22, 100, conf.level = 0.95)
binom.cloglog(20, 100, conf.level = 0.95)
binom.cloglog(18, 100, conf.level = 0.95)
binom.cloglog(20, 100, conf.level = 0.95)

X-squared = 0.07996, df = 3, p-value = 0.9941


means<-c(0.22, 0.2, 0.18, 0.2)
lower <-c(0.1448524 , 0.1283119, 0.1120769, 0.1283119)
upper<-c(0.3052536, 0.28322, 0.2609081 , 0.28322)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="D. D. mauritiana males")
axis(side=1, at=1:4, labels=c("red","blue","green","nc"), cex=0.7)
					abline(h=0.25, col="red", lwd=2, lty=2)

dev.off()

#######################
##FIGURE S2.No effect of the marking scheme II. Wing clipping. Marking females by clipping their wings had no effect on their attractiveness to pure species males. Confidence intervals around the estimated proportion were calculated using the log (cloglog) parameterization. The blue dashed line shows the expectation of completely uniform mating. vert: vertical; hori: horizontal. Table S4 shows the results from the comparisons 

#######################

pdf(file="FigureS2_CHC_v1.pdf", height=6, width=6)

par(mfrow=c(2,2)) 

#A. Yakuba
binom.cloglog(25, 100, conf.level = 0.95)
binom.cloglog(25, 100, conf.level = 0.95)
binom.cloglog(27, 100, conf.level = 0.95)
binom.cloglog(20, 100, conf.level = 0.95)

X-squared = 0.5786, df = 3, p-value = 0.9013

means<-c(0.25, 0.25, 0.3, 0.2)
lower <-c(0.1701718 , 0.1701718, 0.1873577, 0.1283119)
upper<-c(0.3378379, 0.3378379, 0.3592789 , 0.28322)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of  females chosen", main="A. D. yakuba males")
axis(side=1, at=1:4, labels=c("right vert.","left vert.","right hori.","left hori."), cex=0.7)
					abline(h=0.25, col="blue", lwd=2, lty=2)

#B. santomea
binom.cloglog(21, 100, conf.level = 0.95)
binom.cloglog(15, 100, conf.level = 0.95)
binom.cloglog(27, 100, conf.level = 0.95)
binom.cloglog(27, 100, conf.level = 0.95)

X-squared = 2.3699, df = 3, p-value = 0.4993


means<-c(0.21, 0.15, 0.27, 0.27)
lower <-c(0.136546 , 0.08838404, 0.1873577, 0.1873577)
upper<-c(0.2942698, 0.2268425, 0.3592789 , 0.3592789)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="B. D. santomea males")
axis(side=1, at=1:4, labels=c("right vert.","left vert.","right hori.","left hori."), cex=0.7)
					abline(h=0.25, col="blue", lwd=2, lty=2)

#C. simulans
binom.cloglog(20, 100, conf.level = 0.95)
binom.cloglog(30, 100, conf.level = 0.95)
binom.cloglog(22, 100, conf.level = 0.95)
binom.cloglog(28, 100, conf.level = 0.95)

X-squared = 1.3714, df = 3, p-value = 0.7123

means<-c(0.20, 0.30, 0.22, 0.28)
lower <-c(0.1283119 , 0.2135522, 0.1448524, 0.1960356)
upper<-c(0.28322, 0.3910559, 0.3052536 , 0.3699209)

plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="C. D. simulans males")
axis(side=1, at=1:4, labels=c("right vert.","left vert.","right hori.","left hori."), cex=0.7)
					abline(h=0.25, col="blue", lwd=2, lty=2)

#D. mauritiana
binom.cloglog(24, 100, conf.level = 0.95)
binom.cloglog(22, 100, conf.level = 0.95)
binom.cloglog(30, 100, conf.level = 0.95)
binom.cloglog(21, 100, conf.level = 0.95)


means<-c(0.24, 0.22, 0.3, 0.21)
lower <-c(0.1616682 , 0.1448524, 0.2135522, 0.136546)
upper<-c(0.327035, 0.3052536, 0.3910559 , 0.2942698)

X-squared = 0.95363, df = 3, p-value = 0.8125


plotCI(means, ui= upper, li= lower, pch=19, col="black", barcol="black", lwd=1, ylim=c(0,1), xaxt="n", xlim=c(1,4), xlab="Abdominal color", ylab="Percentage of females chosen", main="D. D. mauritiana males")
axis(side=1, at=1:4, labels=c("right vert.","left vert.","right hori.","left hori."), cex=0.7)
					abline(h=0.25, col="blue", lwd=2, lty=2)
					
dev.off()

#######################
#FIGURE S3: The double-marking scheme had no effect on D. yakuba female attractiveness. 
#######################

pdf(file="FigureS3_CHC.pdf", height=6, width=6)

chc_dm_yak<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/yakuba_dm.csv")
names(chc_dm_yak)
attach(chc_dm_yak)

boxplot(time~color+clipping, las=2,xlab="Marking", ylab="Time spent courting (min)")

dev.off()

#######################
#FIGURE S4: Regression curves for seven compounds often found as CHCs. Each panel shows one compound. 

#######################

pdf(file="FigureS4_CHC.pdf", height=4, width=8)

par(mfrow=c(2,4)) 

calibration_curves_data<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/calibration_curves.csv")
						attach(calibration_curves_data)
						names(calibration_curves_data)
						
						plot(AUC.Ratio_hepta~Concentration, ylim=c(0,0.25), xlim=c(0,0.2), xlab="Concentration", ylab="AUC", main="7-Z,11-Z-Heptacosadiene")
						mtext("y = 1.586 * x", side=3)
						abline(lm(AUC.Ratio_hepta~ 0 + Concentration))

						plot(AUC.Ratio_tricosane ~Concentration, ylim=c(0,0.25), xlim=c(0,0.2), xlab="Concentration", ylab="AUC", main="Tricosane")
						mtext("y = 0.2959 * x", side=3)
						abline(lm(AUC.Ratio_tricosane ~ 0 + Concentration))

						plot(AUC.Ratio_tricosene ~Concentration, ylim=c(0,0.25), xlim=c(0,0.2), xlab="Concentration", ylab="AUC", main = "Z-7-tricosene")
						mtext("y = 1.2486 * x", side=3)
						abline(lm(AUC.Ratio_tricosene ~ 0 + Concentration))

						plot(AUC.Ratio_pentacose ~Concentration, ylim=c(0,0.25), xlim=c(0,0.2), xlab="Concentration", ylab="AUC", main ="7-11-pentacosene")
						mtext("y = 1.0166 *.x", side=3)
						abline(lm(AUC.Ratio_pentacose ~ 0 + Concentration))

						plot(AUC.Ratio_nonacosadiene ~Concentration, ylim=c(0,0.25), xlim=c(0,0.2), xlab="Concentration", ylab="AUC", main ="7-Z-nonacosadiene")
						mtext("y = 1.0951 * x", side=3)
						abline(lm(AUC.Ratio_nonacosadiene ~ 0 + Concentration))

						plot(AUC.Ratio_vaccenil ~Concentration, ylim=c(0,0.25), xlim=c(0,0.2), xlab="Concentration", ylab="AUC", main ="cis-vaccenyl acetate")
						mtext("y = 1.1889 * x", side=3)
						abline(lm(AUC.Ratio_vaccenil ~ 0 + Concentration))

						plot(AUC.Ratio_heneicosane ~Concentration, ylim=c(0,0.5), xlim=c(0,0.3), xlab="Concentration", ylab="AUC",main ="n-Heneicosane")
						mtext("y = 2.2483 * x", side=3)
						abline(lm(AUC.Ratio_heneicosane ~ 0 + Concentration))
						
dev.off()

#######################
#FIGURE S5#
#######################

pdf(file="FigureS5_CHC.pdf", height=6, width=6)

double_scoring_lm_dataframe<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/double_scoring_lm.csv")
attach(double_scoring_lm_dataframe)
names(double_scoring_lm_dataframe)
#COR TEST


par(mfrow=c(2,2)) 


with(subset(double_scoring, species =='yakuba'), plot(time_1~time_2, xlab="Observer 1 (min)", ylab="Observer 2 (min)", main = "A. D. yakuba"))
abline(0, 1, col='blue', lty=2, lwd=4)
with(subset(double_scoring, species =='simulans'), plot(time_1~time_2, xlab="Observer 1 (min)", ylab="Observer 2 (min)", main = "B. D. simulans"))
abline(0, 1, col='blue', lty=2, lwd=4)
with(subset(double_scoring, species =='santomea'), plot(time_1~time_2, xlab="Observer 1 (min)", ylab="Observer 2 (min)", main = "C. D. santomea"))
abline(0, 1, col='blue', lty=2, lwd=4)
with(subset(double_scoring, species =='mauritiana'), plot(time_1~time_2, xlab="Observer 1 (min)", ylab="Observer 2 (min)", main = "D. D. mauritiana"))
abline(0, 1, col='blue', lty=2, lwd=4)

dev.off()

#######################
#FIGURE S6. PC1 and PC2 eigenvectors for the D. yakuba/D. santomea biplot shown in Figure 4A. 
#######################

pdf(file="FigureS6_loadings_CHC_yaksanV01.pdf", height=6, width=6)

library(factoextra)

 yak_san_females<-read.csv("~/Dropbox/MatuteLab/Manuscripts/CHC/revision_01/data_revision/CHC_san_yak_fulldata.csv")
 	names(yak_san_females)
 	attach(yak_san_females)
 		Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:57])
 			df <- yak_san_females[c(12,13, 14,15,16,17,18)]
 			res.pca <- prcomp(df)
fviz_pca_biplot(res.pca,  col.ind = groups, # color by groups
  				               palette = c("red",  "black", "blue", "darkgoldenrod1"), repel = TRUE,
                col.var = "#2E9FDF", # Variables color
                  # Individuals color
                )
dev.off()     

#######################
#FIGURE S7. PC1 and PC2 eigenvectors for the D. simulans/D. mauritiana biplot shown in Figure 4B.          #
#######################

pdf(file="FigureS7_loadings_CHC_simmau_v02.pdf", height=6, width=6)

 mau_sim_females<-read.csv("~/Dropbox/mau_sim_f1.csv")
 	names(mau_sim_females)
 	attach(mau_sim_females)
 		Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:29])
 
 			df <- mau_sim_females[c(14,15,16,17,18,19,20)]
 			res.pca <- prcomp(df)
 
  
fviz_pca_biplot(res.pca, repel = TRUE,
                col.var = "#2E9FDF", # Variables color
                 col.ind = groups, # color by groups
 				               palette = c("red", "blue3", "blueviolet")  # Individuals color
                )
 
dev.off() 
#######################
#FIGURE S10           #
#######################
 
pdf(file="FigureS10_loadings_CHC_simmau_v02.pdf", height=6, width=6)

 sim_perfumed<-read.csv("~/Dropbox/simulans_perfumed.csv")
 	names(sim_perfumed)
 	attach(sim_perfumed)
 		Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:43])
 			df_sim_perf <- sim_perfumed[c(14,15, 16,17,18,19,20)]
 			res.pca_simperf <- prcomp(df_sim_perf)
 
fviz_pca_biplot(res.pca_simperf, repel = TRUE,
                col.var = "#2E9FDF", # Variables color
                 col.ind = groups, # color by groups
 				               palette = c("red",  "blue3", "blueviolet", "grey1",  "grey63")  # Individuals color
                )

dev.off()
#######################
#FIGURE S11: PC1 and PC2 eigenvectors for the perfumed D. mauritiana samples biplot shown in Figure S8 #
#######################
pdf(file="FigureS11_CHC_mausim.pdf", height=6, width=6)


mau_perfumed_data<-read.csv("~/Dropbox/mauritiana_perfumed.csv")
 	names(mau_perfumed_data)
 	attach(mau_perfumed_data)
 	
 	 	Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:39])
 			df_mau_perf <- mau_perfumed_data[c(14,15, 16,17,18,19,20)]
 			res.pca_mauperf <- prcomp(df_mau_perf)
 
 fviz_pca_biplot(res.pca_mauperf, repel = TRUE,
                col.var = "#2E9FDF", # Variables color
                 col.ind = groups, # color by groups
 				               palette = c("red",  "blue3", "blueviolet", "grey1",  "grey63")  # Individuals color
                )
dev.off()

#######################
#FIGURE S12. PC1 and PC2 eigenvectors for the perfumed F1 (sim/mau) samples biplot shown in Figure S9 #
#######################

pdf(file="FigureS12_loadings_CHC_simmau.pdf", height=6, width=6)
 
F1_perfumed<-read.csv("~/Dropbox/F1hybrids_perfumed.csv")
 	names(F1_perfumed)
 	attach(F1_perfumed)
 	
 	 	Species_factor<-as.factor(Species)
 		groups <- as.factor(Species_factor[1:41])
 			df_F1_perf <- F1_perfumed[c(14,15, 16,17,18,19,20)]
 			res.pca_F1perf <- prcomp(df_F1_perf)
 
  fviz_pca_biplot(res.pca_F1perf, repel = TRUE,
                col.var = "#2E9FDF", # Variables color
                 col.ind = groups, # color by groups
 				               palette = c("red",  "blue3", "blueviolet", "grey1",  "grey63")  # Individuals color
                )
dev.off()

 